Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.util
Class DigestUtility

    java.lang.Object
      com.compoze.collab.util.DigestUtility

    public class DigestUtility

extends Object

This class contains utility methods for working on digests.

Constructor Summary
`DigestUtility()`

Method Summary
`static void` | `updateDigestBoolean(MessageDigest digest, boolean b)` Updates the cache key digest with a boolean.
`static void` | `updateDigestDouble(MessageDigest digest, double d)` Updates a digest with a double.
`static void` | `updateDigestFloat(MessageDigest digest, float f)` Updates a digest with a float.
`static void` | `updateDigestInt(MessageDigest digest, int i)` Updates a digest with an int.
`static void` | `updateDigestLong(MessageDigest digest, long l)` Updates a digest with a long.
`static void` | `updateDigestObject(MessageDigest digest, Object obj)` Updates a digest with an object.
`static void` | `updateDigestShort(MessageDigest digest, short s)` Updates a digest with a float.
`static void` | `updateDigestString(MessageDigest digest, String s)` Updates the cache key digest with a boolean.
`static void` | `updateDigestStringArray(MessageDigest digest, String[] s)` Updates the digest with a String array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigestUtility

    public DigestUtility()

Method Detail

### updateDigestBoolean

    public static void updateDigestBoolean(MessageDigest digest,
                                           boolean b)

  Updates the cache key digest with a boolean.

  Parameters
    `digest` - the digest to update (not `null`)
    `b` - the boolean

### updateDigestString

    public static void updateDigestString(MessageDigest digest,
                                          String s)

  Updates the cache key digest with a boolean.

  Parameters
    `digest` - the digest to update (not `null`)
    `s` - the String

### updateDigestStringArray

    public static void updateDigestStringArray(MessageDigest digest,
                                               String[] s)

  Updates the digest with a String array.

  Parameters
    `digest` - the digest to update (not `null`)
    `s` - the String array

### updateDigestInt

    public static void updateDigestInt(MessageDigest digest,
                                       int i)

  Updates a digest with an int.

  Parameters
    `digest` - the digest to update (not `null`)
    `b` - the int

### updateDigestLong

    public static void updateDigestLong(MessageDigest digest,
                                        long l)

  Updates a digest with a long.

  Parameters
    `digest` - the digest to update (not `null`)
    `l` - the long

### updateDigestDouble

    public static void updateDigestDouble(MessageDigest digest,
                                          double d)

  Updates a digest with a double.

  Parameters
    `digest` - the digest to update (not `null`)
    `d` - the double

### updateDigestFloat

    public static void updateDigestFloat(MessageDigest digest,
                                         float f)

  Updates a digest with a float.

  Parameters
    `digest` - the digest to update (not `null`)
    `f` - the float

### updateDigestShort

    public static void updateDigestShort(MessageDigest digest,
                                         short s)

  Updates a digest with a float.

  Parameters
    `digest` - the digest to update (not `null`)
    `s` - the float

### updateDigestObject

    public static void updateDigestObject(MessageDigest digest,
                                          Object obj)

  Updates a digest with an object.

  Parameters
    `digest` - the digest to update (not `null`)
    `obj` - the object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved